.flex-spacer {
    flex-grow: 1;
}

.opus-std-gap {
    gap: var(--oo-std-gap);
}

.bold-text {
    font-weight: bold;
}

.container-flex-row {
    display: flex;
    flex-direction: row;
    width: 100%;
    align-items: center;
}

    .container-flex-row.flex-wrap {
        flex-wrap: wrap;
    }

.container-flex-column {
    display: flex;
    flex-direction: column;
    width: 100%;
}

    .container-flex-column.flex-centered {
        align-items: center;
        justify-content: center;
    }

    .container-flex-column.flex-wrap {
        flex-wrap: wrap;
    }

.container-flex-column-full-height {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

.container-flex-row-full-height {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
}

.opus-card {
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-layer-rest);
    border-radius: calc(var(--layer-corner-radius) * 1px);
    box-shadow: var(--elevation-shadow-card-rest);
    background-color: var(--neutral-fill-rest);
    padding: 0.5rem;
}

.opus-button {
    background-color: var(--neutral-fill-rest);
    color: var(--neutral-foreground-rest);
}

    .opus-button:hover,
    .opus-button:focus {
        background-color: var(--neutral-fill-hover);
        color: var(--neutral-foreground-hover);
    }

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    clip-path: inset(50%);
    white-space: nowrap;
    border: 0;
}
